Update and/or move folders Run in API Explorer
Ask AI
PUT
/api/v1/folder/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/folder/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "Important Documents",
"parent": "3af8c668-aa71-4e70-add2-4b97496b308a"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Important Documents",
"parent": "3af8c668-aa71-4e70-add2-4b97496b308a"
}
Response examples (200)
{
"uuid": "bc8a9253-d437-4a5a-a94b-42c9192c3c2d",
"created_at": "2026-11-16T13:00:50+00:00",
"updated_at": "2026-11-16T13:00:50+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"participants": [
{
"uuid": "de439c1f-556b-4d1e-8b33-1189c8704f6e",
"created_at": "2026-11-16T13:00:50+00:00",
"updated_at": "2026-11-16T13:00:50+00:00",
"name": "Gareth Thompson",
"write": true
}
],
"folders_count": 5,
"folders": [
{
"uuid": "0d30dc58-2dd1-4447-a29e-0da30e92fdb4",
"created_at": "2026-11-16T13:00:50+00:00",
"updated_at": "2026-11-16T13:00:50+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"participants": {
"uuid": "e27764d9-f41b-4ce9-889e-802cad628341",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Gareth Thompson",
"write": true
},
"folders_count": 5,
"folders": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"files_count": 8,
"files": {
"uuid": "764f08b0-0b32-4359-813b-6d522c25795c",
"created_at": "2026-11-16T13:00:59+00:00",
"original_created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"uploaded_at": "2026-11-16T13:00:59+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-11-16T13:00:59+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/858ad303-b686-410d-a25d-43a4224a98dc/download",
"preview_url": "https://api.plannrcrm.com/file/0cfe4197-417a-45d8-a624-e7de8c9c7ad7/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"parents": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"ancestors": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"children": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"depth": 5,
"owned": false
}
],
"files_count": 8,
"files": [
{
"uuid": "0e5daf2c-a6b9-42ab-9380-e6d8db0ddd30",
"created_at": "2026-11-16T13:00:50+00:00",
"original_created_at": "2026-11-16T13:00:50+00:00",
"updated_at": "2026-11-16T13:00:50+00:00",
"uploaded_at": "2026-11-16T13:00:50+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-11-16T13:00:50+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/9f656eef-ea21-4bcc-8663-98e997a06470/download",
"preview_url": "https://api.plannrcrm.com/file/69e02ec0-c5e2-4222-a4e4-61e07b45ab18/preview",
"folder_name": "folder 2",
"folder": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "130f10fc-4feb-4d7f-8807-424328ea742b"
},
"firm": {
"uuid": "d88491ae-1d0c-4a23-9f4b-0da36ff23bf1",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "4ab5db90-bb67-4ae5-af2f-d459b6996c59",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"tags": {
"uuid": "3ffb5618-ef0f-427f-a354-30972f34c346",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
}
],
"parents": [
{
"uuid": "8be5a602-a26c-4798-bb8e-be33348c6ad8",
"created_at": "2026-11-16T13:00:50+00:00",
"updated_at": "2026-11-16T13:00:50+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"participants": {
"uuid": "e27764d9-f41b-4ce9-889e-802cad628341",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Gareth Thompson",
"write": true
},
"folders_count": 5,
"folders": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"files_count": 8,
"files": {
"uuid": "764f08b0-0b32-4359-813b-6d522c25795c",
"created_at": "2026-11-16T13:00:59+00:00",
"original_created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"uploaded_at": "2026-11-16T13:00:59+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-11-16T13:00:59+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/858ad303-b686-410d-a25d-43a4224a98dc/download",
"preview_url": "https://api.plannrcrm.com/file/0cfe4197-417a-45d8-a624-e7de8c9c7ad7/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"parents": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"ancestors": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"children": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"depth": 5,
"owned": false
}
],
"ancestors": [
{
"uuid": "bd39444f-8d6c-406b-bafe-b0d821d397a1",
"created_at": "2026-11-16T13:00:50+00:00",
"updated_at": "2026-11-16T13:00:50+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"participants": {
"uuid": "e27764d9-f41b-4ce9-889e-802cad628341",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Gareth Thompson",
"write": true
},
"folders_count": 5,
"folders": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"files_count": 8,
"files": {
"uuid": "764f08b0-0b32-4359-813b-6d522c25795c",
"created_at": "2026-11-16T13:00:59+00:00",
"original_created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"uploaded_at": "2026-11-16T13:00:59+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-11-16T13:00:59+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/858ad303-b686-410d-a25d-43a4224a98dc/download",
"preview_url": "https://api.plannrcrm.com/file/0cfe4197-417a-45d8-a624-e7de8c9c7ad7/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"parents": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"ancestors": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"children": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"depth": 5,
"owned": false
}
],
"children": [
{
"uuid": "09076783-2f35-456c-9239-edea6cf6667a",
"created_at": "2026-11-16T13:00:50+00:00",
"updated_at": "2026-11-16T13:00:50+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"participants": {
"uuid": "e27764d9-f41b-4ce9-889e-802cad628341",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Gareth Thompson",
"write": true
},
"folders_count": 5,
"folders": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"files_count": 8,
"files": {
"uuid": "764f08b0-0b32-4359-813b-6d522c25795c",
"created_at": "2026-11-16T13:00:59+00:00",
"original_created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"uploaded_at": "2026-11-16T13:00:59+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-11-16T13:00:59+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/858ad303-b686-410d-a25d-43a4224a98dc/download",
"preview_url": "https://api.plannrcrm.com/file/0cfe4197-417a-45d8-a624-e7de8c9c7ad7/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"parents": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"ancestors": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"children": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"depth": 5,
"owned": false
}
],
"depth": 5,
"owned": false
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}